
QGIS Application - Bug report #16165

QGIS 2.18.3 crashes on exit

2017-02-08 12:17 AM - Philip Tait

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24076

Description

I've recently updated from 2.16 to 2.18.3 and now every time I close the software a minidump is written.  This happens whether I have a

project open or if I just open and then close QGIS.

I can't seem to find any issues with my pc; other softwares work fine, and I can't find anyone else with the same issue.  I've included the

minidump file as an attachment in case that helps, I don't know how to open it myself.

History

#1 - 2017-02-08 12:20 AM - Philip Tait

- File qgis-20170208-081559-2176-3720-77b8c3d.zip added

Here's attached file - zipped.

#2 - 2017-02-08 12:23 AM - Jürgen Fischer

- Tracker changed from Support to Feature request

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

#3 - 2017-02-08 12:25 AM - Jürgen Fischer

- Tracker changed from Feature request to Bug report

- Affected QGIS version set to 2.18.3

- Crashes QGIS or corrupts data set to No

#4 - 2017-02-13 08:15 PM - Martin Bain

Sorry for the noise if this is unrelated but I had the same issue with QGIS 2.16 (on Windows 7) it would reliably crash on every exit.

The problem went away when I deleted the HKEY_CURRENT_USER\\Software\\QGIS branch from the registry.

This fixed the issue but was a bit heavy handed as I lost a lot of custom settings.  I exported the branch from the registry before I deleted it.  Merging it back

into the registry caused the problem to reappear.  I tried deleting a few of the more complex looking sub branches but didn’t find the registry value causing

the crash.  Finally I deleted the whole HKEY_CURRENT_USER\\Software\\QGIS branch again, then started QGIS and with GIS running I merged the

branch back  into the registry, I then exited QGIS without getting a crash!  I no longer get a crash on exit and I retained almost all of my settings - active

plugins, recently used paths, expressions etc.  I lost a couple of things that must be saved on exit such as the layout of the layers panel and the browser

panel, but all good.

#5 - 2017-02-15 12:56 AM - Philip Tait
Hi Martin Bain,

I gave your suggestion a try and I'm afraid it made no difference.  I exported and deleted the QGIS folder from regedit and then opened QGIS. On closing it

straight away it did not crash, which I thought was progress.  But when I tried again after opening a project and it just crashed straight away.  Thanks for

the suggestion.

#6 - 2017-03-07 11:05 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to not reproducable

(very) likely depending on a 3rd party plugins: there are a few that are known to make qgis crash on exit. Please try purging your .qgis2 folder and restart

qgis. Reopen if the issue still persist after a full system cleaning.

#7 - 2017-03-09 04:46 AM - Jeff Moyen

I can confirm the behaviour. Closing QGIS, even without doing anything else, results in a crash.

In fact, there are two types of crash:

1) "minidump written" 

2) QGIS turns pale and a message saying "qgis-bin.exe a cessé de fonctionner; windows recherche une solution" appears. While the message is up, an

xml file appears in my temp folder (where the minidumps are; is is called e.g. WERB96C.tmp.WERInternalMetadata.xml), but when the message is closed

the xml disappears.

The two behaviour seem to occur more or less randomly.

I disabled all the plugins (even core), one by one : same result, even on a blank QGIS.

On the other hand deleting the .qgis2 folder cures the problems (it also deletes interesting stuff on the other hand, alas).

I was in the process of investigating what part of .qgis2 is the culprit, when I noticed that 2.18.4 was ready. 

Alas -- the same symptoms are still present !

So, from this point onwards, the discussion is based on 2.18.4

I then went into .qgis2 and removed one after the other evry individual folder, and sub-folder. In the end,it turned out that the problemm was located in

.qgis2/python/plugins/GarminCustomMap : removing this folder cured the problem.

Interestingly, it is not enough to desactivate it (from "manage and install plugin"), the problem is solved by desintalling (actually deleting) the plugin.

Plugin team is being informed.

#8 - 2017-03-09 04:48 AM - Jeff Moyen

PS- already reported in the plugin page: #11901

#9 - 2017-03-09 04:57 AM - Giovanni Manghi

I then went into .qgis2 and removed one after the other evry individual folder, and sub-folder. In the end,it turned out that the problemm was located
in .qgis2/python/plugins/GarminCustomMap : removing this folder cured the problem.

it is years now that that plugin causes the crash on exit even if disabled.

#10 - 2017-03-09 06:15 AM - Philip Tait

So I've managed to fix this issue.  Turns out it was a plugin issue, specifically "MetaSearch Catalogue Client" appeared to be corrupt.

What I actually did was uninstall all plugins that I could, which first identified Meta.. as the one corrupt. I then tried reinstalling, but then that appeared to

have issues so I uninstalled and re installed the plugin and everything works fine.  I have not reinstalled the other plugins I removed so it could be one of

those may reintroduce the issue. But at the moment everything is working fine.  Thanks for all the suggestions and help on this matter

#11 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown

#12 - 2017-10-18 07:37 AM - ololomp iiiii

I used to have same problem until deinstallation of "Semi-automation classaification" plugin. It crashed QGIS on closing not only but also on pressing

checkbox in Plugins window. Deleted plugin manually through Windows Explorer

Files

qgis-20170208-081559-2176-3720-77b8c3d.zip 4.35 MB 2017-02-07 Philip Tait
